#include <SoftwareSerial.h>
#include <MIDI.h>
#define MAX 500     //maximum posible reading. TWEAK THIS VALUE!!
#define EMG AO
int reading[10];
int finalReading;
int interBeatTime = 50; // to prevent repeat drum hits with a single contraction. You can TWEAK this as well.
byte multiplier = 1;
unsigned long TimeClock1;
unsigned long TimeClock2;
unsigned long TimeClock3;
unsigned long TimeClock4;
unsigned long TimeClock5;
unsigned long TimeClock6;

MIDI_CREATE_DEFAULT_INSTANCE();


void setup(){

  Serial.begin(9600); //begin serial communications
  MIDI.begin(MIDI_CHANNEL_OFF);
  TimeClock1=millis();
  TimeClock2=millis();
  TimeClock3=millis();
  TimeClock4=millis();
  TimeClock5=millis();
  TimeClock6=millis();
  }
  

void loop(){

  //channel 1 
  for(int i = 0; i < 10; i++){    //take ten readings in ~0.02 seconds
    reading[i] = analogRead(A0) * multiplier;//set the channel here in the Analog input
    delay(2);
  }
  for(int i = 0; i < 10; i++){   //average the ten readings
    finalReading += reading[i];
  }
  finalReading /= 10;
 

  finalReading = constrain(finalReading, 0, MAX);
 

    if(finalReading > 300){
    if ((millis()-TimeClock1)>interBeatTime) { 
 MIDI.sendNoteOn(38, 127, 1);//set note here, look up for the MIDI Implementation Chart of your machine
 delay(25);
  MIDI.sendNoteOff(38, 127, 1);
  TimeClock1=millis();
  }}

  

   //channel 2 
  for(int i = 0; i < 10; i++){    //take ten readings in ~0.02 seconds
    reading[i] = analogRead(A1) * multiplier; //set the channel here in the Analog input
    delay(2);
  }
  for(int i = 0; i < 10; i++){   //average the ten readings
    finalReading += reading[i];
  }
  finalReading /= 10;
 

  finalReading = constrain(finalReading, 0, MAX);
 

    if(finalReading > 300){
    if ((millis()-TimeClock2)>interBeatTime) { 
 MIDI.sendNoteOn(39, 127, 1); //set note here, look up for the MIDI Implementation Chart of your machine
 delay(25);
  MIDI.sendNoteOff(39, 127, 1);
  TimeClock2=millis();
  }}



   //channel 3 
  for(int i = 0; i < 10; i++){    //take ten readings in ~0.02 seconds
    reading[i] = analogRead(A2) * multiplier; //set the channel here in the Analog input
    delay(2);
  }
  for(int i = 0; i < 10; i++){   //average the ten readings
    finalReading += reading[i];
  }
  finalReading /= 10;


  finalReading = constrain(finalReading, 0, MAX);
 
    if(finalReading > 300){
    if ((millis()-TimeClock3)>interBeatTime) { 
 MIDI.sendNoteOn(36, 127, 1); //set note here, look up for the MIDI Implementation Chart of your machine
 delay(25);
  MIDI.sendNoteOff(36, 127, 1);
  TimeClock3=millis();
  }}


   //channel 4 
  for(int i = 0; i < 10; i++){    //take ten readings in ~0.02 seconds
    reading[i] = analogRead(A3) * multiplier; //set the channel here in the Analog input
    delay(2);
  }
  for(int i = 0; i < 10; i++){   //average the ten readings
    finalReading += reading[i];
  }
  finalReading /= 10;
 
  finalReading = constrain(finalReading, 0, MAX);
 

    if(finalReading > 300){
      if ((millis()-TimeClock4)>interBeatTime) { 
 MIDI.sendNoteOn(50, 127, 1); //set note here, look up for the MIDI Implementation Chart of your machine
 delay(25);
  MIDI.sendNoteOff(50, 127, 1);
  TimeClock4=millis();
  }}

   //channel 5 
  for(int i = 0; i < 10; i++){    //take ten readings in ~0.02 seconds
    reading[i] = analogRead(A4) * multiplier; //set the channel here in the Analog input
    delay(2);
  }
  for(int i = 0; i < 10; i++){   //average the ten readings
    finalReading += reading[i];
  }
  finalReading /= 10;
 
  finalReading = constrain(finalReading, 0, MAX);
 

    if(finalReading > 300){
    if ((millis()-TimeClock5)>interBeatTime) {
 MIDI.sendNoteOn(46, 127, 1); //set note here, look up for the MIDI Implementation Chart of your machine
 delay(25);
  MIDI.sendNoteOff(46, 127, 1);
  TimeClock5=millis();
  }}


   //channel 6 
  for(int i = 0; i < 10; i++){    //take ten readings in ~0.02 seconds
    reading[i] = analogRead(A5) * multiplier; //set the channel here in the Analog input
    delay(2);
  }
  for(int i = 0; i < 10; i++){   //average the ten readings
    finalReading += reading[i];
  }
  finalReading /= 10;
 
  finalReading = constrain(finalReading, 0, MAX);
 

    if(finalReading > 300){
    if ((millis()-TimeClock6>interBeatTime)) {
 MIDI.sendNoteOn(51, 127, 1); //set note here, look up for the MIDI Implementation Chart of your machine
 delay(25);
  MIDI.sendNoteOff(51, 127, 1);
  TimeClock6=millis();
  }}



}
    
